Subject: Re: Fw: [GSMP] more changes to the base draft

From: [email-masked]
Date: Thu, 11 Dec 2003 12:53:08 +0800

Hi Hormuzd,

Although from the perspective of low, fine grain and implementation level, 
ForCES has been defined 
in the way that seems quite different from GSMP,  the overall architecture is 
still the same, which is, they
are all based on a control and forwarding separation and open programmable 
architecture. Therefore, 
the idea GRMP is based is that it may not be an unwise approach to aboriginally 
consider and leave some 
space for possible future integration of the techniques that catually belongs 
to the same technical category and have quite the 
same application destination ( an open programmable Network Element). Of course 
there may be
problems to actually make such an integration currently, but  we just think  it 
means to make it a thinking point in advance
and have it go as a gradual process. 

Thank you for the attention.

Weiming

----- Original Message ----- 
From: "Khosravi, Hormuzd M" <[email-masked]>
To: "Avri Doria" <[email-masked]>; <[email-masked]>
Sent: Saturday, December 06, 2003 9:03 AM
Subject: RE: Fw: [GSMP] more changes to the base draft

Hi Avri

I had one question on this..
Technically speaking GRMP seems quite different from GSMP v3
to me. How could you possibly merge these protocols ?
I must be missing something here.

Thanks
Hormuzd

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Avri
Doria
Sent: Wednesday, November 26, 2003 3:55 AM
To: [email-masked]
Subject: Re: Fw: [GSMP] more changes to the base draft

Hi Weiming,

comments inline.

On onsdag, nov 26, 2003, at 17:52 Asia/Seoul, Wang,Weiming wrote:

>
>  Hi Avri,
>
>  I'm writing to seek the possiblity in GSMP base header to add 
> following items:
>
>  1. A proirity flag to indicate the processing priority for the 
> message.

Can you explain how you would think this should be used?

>  2. An optional checksum part in GSMP for error control.

Again, can you explain how you would want to see this used?

>
>  If possible, I also ask to leave some space in the Version field for 
> possible including of other
>  possible protocols like GRMP 
> (http://www.ietf.org/internet-drafts/draft-wang-forces-grmp-01.txt).

  If the two protocols were to be merged it would seem to make the most 
sense to me for there to be one base protocol which supported the MPLS 
and GMPLS mode as well as the router mode.  I would personally be 
uncomfortable with one version of the protocol for switches and one for 
routers.  In many respects I think that the support  one would need for 
adding messages for router support already exists.

If this merge is something that is of interest to the Wg and something 
we can get IESG support for (i think it would require a charter 
amendment) then I think we could certainly work out the details here on 
the list.

I do think your first 2 requests can be discussed within the current  
work without any charter  problems.  For the other, I would like to 
hear from other list members on whether it is something that the WG 
should pursue.

a.

_______________________________________________
GSMP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gsmp

_______________________________________________
GSMP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gsmp

-------------------------------------------------
This mail sent through HUCNIC Webmail system.

_______________________________________________
GSMP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gsmp